Bug 667479 - BackupPC incompatible with samba3x
Summary: BackupPC incompatible with samba3x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: BackupPC
Version: el5
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Bernard Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-05 18:22 UTC by Daniel
Modified: 2011-08-16 21:08 UTC (History)
2 users (show)

Fixed In Version: BackupPC-3.2.1-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-09 01:37:51 UTC


Attachments (Terms of Use)

Description Daniel 2011-01-05 18:22:54 UTC
Description of problem:
BackupPC needs a version of smbclient to work properly, and has a hard coded dependency on samba-client package. On EL5, we can use samba3x instead of samba. If you already have samba3x (with samba3x-client), BackupPC won't install


Version-Release number of selected component (if applicable):
BackupPC-3.1.0-6.el5
samba3x-client-3.3.8-0.52.el5_5.2


How reproducible:
Always

Steps to Reproduce:
1. install samba3x-client
2. try to install BackupPC
3.
  
Actual results:
Dependency fails

Expected results:
BackupPC should install fine

Additional info:

Maybe we could just replace the dependency to be /usr/bin/smbclient, which would be satisfied with samba-client and samba3x-client

Comment 1 Bernard Johnson 2011-01-16 00:31:43 UTC
> Maybe we could just replace the dependency to be /usr/bin/smbclient, which
> would be satisfied with samba-client and samba3x-client

That seems like the most reasonable thing to do.

Comment 2 Fedora Update System 2011-07-30 00:33:38 UTC
BackupPC-3.2.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-1.fc14

Comment 3 Fedora Update System 2011-07-30 00:35:17 UTC
BackupPC-3.2.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-1.fc15

Comment 4 Fedora Update System 2011-07-30 00:38:39 UTC
BackupPC-3.2.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-1.el5

Comment 5 Fedora Update System 2011-07-30 00:39:40 UTC
BackupPC-3.2.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-1.el6

Comment 6 Fedora Update System 2011-07-30 10:35:53 UTC
Package BackupPC-3.2.1-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing BackupPC-3.2.1-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-1.el5
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-08-09 01:37:20 UTC
BackupPC-3.2.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-08-09 01:38:48 UTC
BackupPC-3.2.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-08-16 20:55:45 UTC
BackupPC-3.2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-08-16 21:08:04 UTC
BackupPC-3.2.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.